summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: bab8118)
raw | patch | inline | side by side (parent: bab8118)
author | Mike Hommey <mh@glandium.org> | |
Sun, 4 Nov 2007 00:11:15 +0000 (01:11 +0100) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Tue, 6 Nov 2007 06:47:43 +0000 (22:47 -0800) |
These tests check whether git-tag properly sends a comment into the
editor, and whether it reuses previous annotation when overwriting
an existing tag.
Signed-off-by: Mike Hommey <mh@glandium.org>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
editor, and whether it reuses previous annotation when overwriting
an existing tag.
Signed-off-by: Mike Hommey <mh@glandium.org>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
t/t7004-tag.sh | patch | blob | history |
diff --git a/t/t7004-tag.sh b/t/t7004-tag.sh
index 0d07bc39c745ade65370dde35f43f16a37231179..096fe33b07a79188dd178468f25375ff8f21636d 100755 (executable)
--- a/t/t7004-tag.sh
+++ b/t/t7004-tag.sh
'verify signed tag fails when public key is not present' \
'git-tag -v signed-tag'
+test_expect_success \
+ 'message in editor has initial comment' '
+ GIT_EDITOR=cat git tag -a initial-comment > actual || true &&
+ test $(sed -n "/^\(#\|\$\)/p" actual | wc -l) -gt 0
+'
+
+get_tag_header reuse $commit commit $time >expect
+echo "An annotation to be reused" >> expect
+test_expect_success \
+ 'overwriting an annoted tag should use its previous body' '
+ git tag -a -m "An annotation to be reused" reuse &&
+ GIT_EDITOR=true git tag -f -a reuse &&
+ get_tag_msg reuse >actual &&
+ git diff expect actual
+'
+
test_done